Debian Bug report logs - #294495
RM: povray-3.5 -- RoM; superseded by povray

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Wed, 9 Feb 2005 23:48:01 UTC

Severity: normal

Merged with 383757

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, guus@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#294491; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to guus@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: povray -- Persistence of vision raytracer
Date: Thu, 10 Feb 2005 00:34:20 +0100
Package: wnpp
Severity: normal

I request an adopter for the povray package. I don't really use this
package myself anymore, and there are some pending issues in the BTS I
keep procrastinating about -- so, I think it's better if someone else,
maybe more interested, takes over. Meanwhile, I'll remain trying to get
myself to updating the package and fixing outstanding issues.

--Jeroen

The package description is:
 POV-Ray is a free, full-featured ray tracer.  POV-Ray can run either
 in text-mode, or can optionally use the X Window System or the SVGA
 library to preview renderings.

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Bug 294491 cloned as bug 294495. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Cai Qian <caiqian@gnome.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cai Qian <caiqian@gnome.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #16 received at 294495@bugs.debian.org (full text, mbox):

From: Cai Qian <caiqian@gnome.org>
To: 294495@bugs.debian.org
Cc: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Subject: A adopter
Date: Fri, 11 Feb 2005 22:15:38 +0800
Hi,

I am using this package so much, but my DD application is still pending.
So could you please sponsor me to upload the new povray-3.6? 

Cai Qian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #21 received at 294495@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Cai Qian <caiqian@gnome.org>, 294495@bugs.debian.org, 294491@bugs.debian.org
Cc: Joel Aelwyn <fenton@debian.org>, Cl?ment Stenac <zorglub@diwi.org>
Subject: POV-Ray adoption
Date: Sat, 12 Feb 2005 03:01:43 +0100
On Fri, Feb 11, 2005 at 10:15:38PM +0800, Cai Qian wrote:
> Hi,
> 
> I am using this package so much, but my DD application is still pending.
> So could you please sponsor me to upload the new povray-3.6? 

1) If needed, yes, I can sponsor, and yes, I will in a moment give
feedback on questions asked so far
2) povray & povray-3.5 is a package deal, you take them both, or you
take none of them
3) Please coordinate amongst yourselves how you want to do it, I'm at
the moment quite indifferent, but do remember I merely RFA'd, not
orphaned. Technically I still maintain the package, and I'd really like
to hand over maintainance to someone/some group that will be able to
work contructively with upstream, and deal properly with the type of
bugs it gets. This is really not specifically directed at anyone, I
didn't yet look very well into either of your suggestions/etc.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Cai Qian <caiqian@gnome.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Cai Qian <caiqian@gnome.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Cai Qian <caiqian@gnome.org>. Full text and rfc822 format available.

Message #30 received at 294495@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Clement Stenac <zorglub@diwi.org>, Joel Aelwyn <fenton@debian.org>, Cai Qian <caiqian@gnome.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 294491@bugs.debian.org, 294495@bugs.debian.org
Subject: Bug#294495: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Wed, 12 Oct 2005 23:50:38 +0200
Hello everyone,

Clement, Joel, Cai, are you still interested in adopting POV-Ray, and
can you work out a co-maintainership?

Jeroen, we can probably drop the povray dummy package, since it served
its purpose for woody->sarge upgrades?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Cai Qian <caiqian@gnome.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Cai Qian <caiqian@gnome.org>. Full text and rfc822 format available.

Message #35 received at 294495@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Matej Vela <vela@debian.org>
Cc: Clement Stenac <zorglub@diwi.org>, Joel Aelwyn <fenton@debian.org>, Cai Qian <caiqian@gnome.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, 294491@bugs.debian.org, 294495@bugs.debian.org
Subject: Re: Bug#294495: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Thu, 13 Oct 2005 00:04:47 +0200
On Wed, Oct 12, 2005 at 11:50:38PM +0200, Matej Vela wrote:
> Jeroen, we can probably drop the povray dummy package, since it served
> its purpose for woody->sarge upgrades?

Dunno, depends on what directly the future POV-Ray maintainers want to take
with it. It was intended a kind of 'povray-latest' package, assuming multiple
concurrent versions, but more experience in Debian (this was my second package
in Debian) has learnt me to put it a bit better in broader context, and I
think povray isn't worth it to have such a 'latest' package etc.

Executive summary: Probably yes, but I'm leaving the suggestion over to the
prospective maintainers. But I'll certainly not let it come near to release in
etch as it is now (in ITA'd state without anyone really caring about it).

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Cai Qian <caiqian@gnome.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Clément Stenac <zorglub@diwi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Cai Qian <caiqian@gnome.org>. Full text and rfc822 format available.

Message #40 received at 294495@bugs.debian.org (full text, mbox):

From: Clément Stenac <zorglub@diwi.org>
To: "Jeroen van Wolffelaar" <jeroen@wolffelaar.nl>
Cc: "Matej Vela" <vela@debian.org>, 294491@bugs.debian.org, 294495@bugs.debian.org
Subject: Re: Bug#294491: Bug#294495: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Fri, 14 Oct 2005 11:30:26 +0200 (CEST)
Hello,

Since the ITA, there has been quite some problems with this package,
mainly the fact that we had very high delays (like 3 months) with the
alioth project and SVN, and that Joel, who would have sponsored the
packages didn't really answer.

However, packages for povray-3.6 have been ready for quite some time (they
need a rebuild now), and I will upload them ASAP.

As alioth didn't answer, the packages are currently hosted at :
https://svn.diwi.org/cgi-bin/viewcvs.cgi/packages/povray/?root=debian

We decided (but of course, that can change) to keep the povray dummy
package at the moment, and make it depend on -3.6 | -3.5, so that manual
installation of -3.6 is required, because there has been reports of
incompatibilities of some scenes.

The other solution would be to package povray 3.6 as "povray"

Regards,

-- 
Clément




Owner changed from Cai Qian <caiqian@gnome.org> to zorglub@diwi.org. Request was from Clément Stenac <zorglub@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#294495. Full text and rfc822 format available.

Message #45 received at 294495-submitter@bugs.debian.org (full text, mbox):

From: Clément Stenac <zorglub@diwi.org>
To: 294495-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Adopting this report
Date: Fri, 14 Oct 2005 19:15:24 +0200
owner 294495 zorglub@diwi.org
thanks

Hello,

I am setting myself as the owner of this bug, as I own 294491. (povray
ITA)

Cai, if you still want to package Povray, please don't hesitate to join
us (though I've not heard from Joel in a while).
We created the pkg-povray Alioth project, and we would be very happy to
have you.

Regards,

-- 
Clément Stenac



Owner changed from zorglub@diwi.org to Clement Stenac <zorglub@diwi.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #52 received at 294495-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Clément Stenac <zorglub@diwi.org>
Cc: 294491-quiet@bugs.debian.org, 294495-quiet@bugs.debian.org
Subject: Re: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Mon, 19 Dec 2005 10:33:05 +0100
On Fri, Oct 14, 2005 at 11:30:26 +0200, Clément Stenac wrote:
> Since the ITA, there has been quite some problems with this package,
> mainly the fact that we had very high delays (like 3 months) with the
> alioth project and SVN, and that Joel, who would have sponsored the
> packages didn't really answer.
>
> However, packages for povray-3.6 have been ready for quite some time (they
> need a rebuild now), and I will upload them ASAP.

Any progress on that?

> As alioth didn't answer, the packages are currently hosted at :
> https://svn.diwi.org/cgi-bin/viewcvs.cgi/packages/povray/?root=debian

Note that <http://alioth.debian.org/projects/pkg-povray/> seems to be
working now.

Thanks,

Matej



Information stored:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Clément Stenac <zorglub@diwi.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #57 received at 294495-quiet@bugs.debian.org (full text, mbox):

From: Clément Stenac <zorglub@diwi.org>
To: Matej Vela <vela@debian.org>
Cc: 294495-quiet@bugs.debian.org
Subject: Re: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Fri, 30 Dec 2005 22:34:42 +0100
Hello,

> Any progress on that?

Short answer: I've really sucked wrt povray.

When I sent this message, the package wasn't building anymore, due to
some PNG errors. As there was a PNG transition underway, I just decided
to wait ... and forgot.

So I finally fixed this PNG problem and rebuilt the package. I just need
some polishing, and I think I'll be able to finally upload povray 3.6 in
2005.

Sorry again for having handled all this so badly.

Thanks,

-- 
Clément




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clement Stenac <zorglub@diwi.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clement Stenac <zorglub@diwi.org>. Full text and rfc822 format available.

Message #62 received at 294495@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 294495@bugs.debian.org
Cc: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Subject: Bug#294495: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Thu, 30 Mar 2006 08:35:26 +0200
Hello Clement,

Do you still intend to adopt povray-3.5, or is it time to remove it?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clement Stenac <zorglub@diwi.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Clément Stenac <zorglub@diwi.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clement Stenac <zorglub@diwi.org>. Full text and rfc822 format available.

Message #67 received at 294495@bugs.debian.org (full text, mbox):

From: Clément Stenac <zorglub@diwi.org>
To: Matej Vela <vela@debian.org>, 294495@bugs.debian.org
Subject: Re: Bug#294495: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Sun, 02 Apr 2006 13:45:18 +0200
Hi,

> Do you still intend to adopt povray-3.5, or is it time to remove it?

Actually, I adopted povray, but made a povray-3.6 package because of
possible incompatibilities. As it appears that there aren't any, I'm
going to merge povray (dummy dependency package) and povray-3.6, and
drop povray-3.5 quite soon.

thanks for the QA work.

-- 
Clément




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Clement Stenac <zorglub@diwi.org>:
Bug#294495; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Clement Stenac <zorglub@diwi.org>. Full text and rfc822 format available.

Message #72 received at 294495@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Clément Stenac <zorglub@diwi.org>
Cc: 294495@bugs.debian.org
Subject: Re: Bug#294495: ITA: povray-3.5 -- Persistence of vision raytracer (3D renderer)
Date: Sat, 19 Aug 2006 09:35:43 +0200
On Sun, Apr 02, 2006 at 13:45:18 +0200, Clément Stenac wrote:

>> Do you still intend to adopt povray-3.5, or is it time to remove it?
>
> Actually, I adopted povray, but made a povray-3.6 package because of
> possible incompatibilities. As it appears that there aren't any, I'm
> going to merge povray (dummy dependency package) and povray-3.6, and
> drop povray-3.5 quite soon.

So, can we drop povray-3.5?

Cheers,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Clement Stenac <zorglub@diwi.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 294495 383757. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #85 received at 294495-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 294495-close@bugs.debian.org
Cc: povray-3.5@packages.debian.org, povray-3.5@packages.qa.debian.org
Subject: Bug#294495: fixed
Date: Sat, 09 Sep 2006 10:32:07 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

povray-3.5 |  3.5.0c-10 | source, i386, powerpc
povray-3.5-doc |  3.5.0c-10 | all
povray-3.5-examples |  3.5.0c-10 | all
povray-3.5-includes |  3.5.0c-10 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 294495@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Clément Stenac <zorglub@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 10:13:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:55:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.